%define _requires_exceptions perl(Business::ISBN)

%define module	URI

Summary:	URI module for perl
Name:		perl-%{module}
Version:	1.35
Release:	%mkrel 5
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/URI/%{module}-%{version}.tar.bz2
BuildRequires:	perl
BuildRequires:	rpm-build >= 4.2-7mdk
Requires:	perl
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This Perl module implements the URI class. Objects of this class represent
Uniform Resource Identifier (URI) references as specified in RFC 2396.

%prep

%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README rfc2396.txt
%{perl_vendorlib}/URI.pm
%{perl_vendorlib}/URI
%{_mandir}/*/*




%changelog
* Tue Jan 22 2008 Jérôme Quelin <jquelin@mandriva.org> 1.35-5mdv2008.1
+ Revision: 156499
- force rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 09:42:34 (63281)
- rebuild

* Sat Oct 07 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-06 07:11:07 (62908)
- Import perl-URI

* Sat May 06 2006 Scott Karns <scottk@mandriva.org> 1.35-3mdk
- Add %%{1}mdv2007.1
- Updated BuildRequires
- Updated to comply with Mandriva perl packaging policies

* Thu Jun 30 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.35-2mdk
- Rebuild, remove MANIFEST

* Tue Nov 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.35-1mdk
- New version 1.35
- Reenable 'make test'

* Sat Sep 18 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.31-3mdk
- Disable 'make test', due to an heuristic.t test failure

* Wed Jul 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.31-2mdk
- Update description

* Wed Jun 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.31-1mdk
- 1.31.

* Wed Apr 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.30-1mdk
- 1.30.

